Bug 1415779 - [RFE] Support for Intel iCAS
Summary: [RFE] Support for Intel iCAS
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Installer
Version: 2.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 3.*
Assignee: Andrew Schoen
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 17:13 UTC by Neil Levine
Modified: 2019-08-21 14:10 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-21 14:10:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Neil Levine 2017-01-23 17:13:52 UTC
iCAS is a disk caching technology provided by Intel for free to all users who buy their SSDs. It can create a partition on a local SSD to be used as a cache for OSDs.

The iCAS managemnt tool is proprietary but the driver itself is under the GPL.

To support the feature, we need to:

* expose options that the user defines via ceph-ansible
* enable ceph-disk to provision the caching device with relevant flags

Comment 2 Christina Meno 2017-01-23 18:26:41 UTC
Good news!

per dgallowa@redhat.com

According to the "Product and Performance Information" portion on https://www-ssl.intel.com/content/www/us/en/software/intel-cache-acceleration-software-performance.html , they used Intel P3700s to use for benchmarking.  

All the smithi have that exact model SSD in them.

Comment 3 Christina Meno 2017-01-23 18:27:21 UTC
would you please break this RFE into smaller bits with Seb?

Comment 4 Loic Dachary 2017-02-15 15:29:21 UTC
FWIW ceph-disk does not provision devices, it formats pre-existing block devices for Ceph. The creation of the block device itself is outside of the scope of ceph-disk. In other words, as long as ceph-ansible knows how to provision the block device, it can be used as an argument to ceph-disk with no modification.

Comment 6 Christina Meno 2017-04-25 19:42:18 UTC
Harish we moved it

Comment 7 Dan Mick 2017-06-07 23:01:50 UTC
FWIW, looked briefly at this today.  It uses a custom utility to associate an SSD/NVMe device with a traditional block device, and creates a new block device "/dev/intelcasN-M" to use as the cached device path.

Comment 8 Loic Dachary 2017-06-08 07:16:37 UTC
Is there an error when running ceph-disk prepare /dev/intelcasN-M ?

Comment 9 Dan Mick 2017-06-08 19:28:15 UTC
I've no idea.  I haven't actually run any code.

Comment 12 Giridhar Ramaraju 2019-08-05 13:10:51 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 13 Giridhar Ramaraju 2019-08-05 13:11:53 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 14 Giridhar Ramaraju 2019-08-20 07:19:43 UTC
Level setting the severity of this defect to "Low" with a bulk update. Pls
refine it to a more closure value, as defined by the severity definition in
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity


Note You need to log in before you can comment on or make changes to this bug.